#include "laser/feature/feature_icp_align.h"

namespace wolf {

FeatureICPAlign::FeatureICPAlign(const laserscanutils::icpOutput& _icp_align_res):
    FeatureBase("ICP ALIGN", _icp_align_res.res_transf, _icp_align_res.res_covar),
    icp_align_res_(_icp_align_res)
{

}

FeatureICPAlign::~FeatureICPAlign()
{
    //
}

void FeatureICPAlign::findFactors()
{

}

const laserscanutils::icpOutput& FeatureICPAlign::getQualityAlign() const
{
  return icp_align_res_;
}


} // namespace wolf
